# iptables & ipset

```sh
sudo apt install ipset
```

```sh
sudo cp empty.rules /etc
sudo touch /etc/{default,ipset}.rules
sudo cp *.service /etc/systemd/system
sudo systemctl enable iptables ipset
sudo systemctl start iptables ipset
```

## Presets

```sh
sudo ipset restore -f ipset.rules
sudo iptables-restore -n connection.rules
sudo iptables-restore -n service.rules
sudo iptables-restore -n blackwhite.rules
sudo iptables-restore -n knock.rules
sudo iptables-restore -n ratelimit.rules
```
