# Miscellaneous

## Manage ethernet devices with NetworkManager

```sh
touch /etc/NetworkManager/conf.d/10-globally-managed-devices.conf
```

## Automatically switch off wifi when ethernet is connected

```sh
sudo cp 99-no-wifi-on-ethernet /etc/NetworkManager/dispatcher.d
```

## Do not log successful cron commands

```sh
sudo sed -i '$ a EXTRA_OPTS=-L 4' /etc/default/cron
```

## Do not log sessions

```sh
sudo cp unix-no-session-log /usr/share/pam-configs
sudo pam-auth-update # Select OK to update
```
