# Self-Hosted Cloud Configuration

This is basically the full configuration of my cloud at home.

For people that love KISS and read sane shell scripts like instructions.

* [nginx](nginx) and [nextcloud](nextcloud): Web, files, contacts, calendar hosting and more
* [mail](mail) and [inbucket](inbucket): Fully virtual and secure mail setup based on postfix and SQLite
* [named](named) and [iodine](iodine): DNS server and tunnel
* [gitea](gitea): Code hosting
* System setup and helpers
  * [ssh](ssh): SSH setup
  * [iptables](iptables): Firewall
  * [dyndns](dyndns): Extensible scripts for automatic DNS updates
  * [letsencrypt](letsencrypt): Automatic TLS certificate renewal
  * [restic](restic): Simple, deduplicated, and encrypted off-site backup
  * [misc](misc): Miscellaneous useful configuration
